Package ghidra.program.model.data

# Enum Class DataUtilities.ClearDataMode

java.lang.Object
java.lang.Enum<DataUtilities.ClearDataMode>
ghidra.program.model.data.DataUtilities.ClearDataMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DataUtilities.ClearDataMode>`, `Constable`

Enclosing class:
  `DataUtilities`

public static enum DataUtilities.ClearDataMode extends Enum<DataUtilities.ClearDataMode>
`ClearDataMode` specifies how conflicting data should be cleared when creating/re-creating data

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECK_FOR_SPACE`
  Ensure that data will fit before clearing a single code unit at the specified data address.
  `CLEAR_ALL_CONFLICT_DATA`
  Clear all conflicting data provided new data will fit within memory and not conflict with an instruction.
  `CLEAR_ALL_DEFAULT_CONFLICT_DATA`
  Clear all Default Data provided new data will fit within memory and not conflict with an instruction or other defined data.
  `CLEAR_ALL_UNDEFINED_CONFLICT_DATA`
  Clear all conflicting Undefined Data provided new data will fit within memory and not conflict with an instruction or other defined data.
  `CLEAR_SINGLE_DATA`
  Always clear a single code unit at the data address regardless of the ability for the desired data-type to fit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataUtilities.ClearDataMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataUtilities.ClearDataMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHECK_FOR_SPACE

    public static final DataUtilities.ClearDataMode CHECK_FOR_SPACE
    Ensure that data will fit before clearing a single code unit at the specified data address.

  - ### CLEAR_SINGLE_DATA

    public static final DataUtilities.ClearDataMode CLEAR_SINGLE_DATA
    Always clear a single code unit at the data address regardless of the ability for the desired data-type to fit.

  - ### CLEAR_ALL_UNDEFINED_CONFLICT_DATA

    public static final DataUtilities.ClearDataMode CLEAR_ALL_UNDEFINED_CONFLICT_DATA
    Clear all conflicting Undefined Data provided new data will fit within memory and not conflict with an instruction or other defined data. Undefined refers to defined data with the Undefined data-type (see `Undefined.isUndefined(DataType)`).

  - ### CLEAR_ALL_DEFAULT_CONFLICT_DATA

    public static final DataUtilities.ClearDataMode CLEAR_ALL_DEFAULT_CONFLICT_DATA
    Clear all Default Data provided new data will fit within memory and not conflict with an instruction or other defined data. In this context Default Data refers to all defined data with either an Undefined data-type (see `Undefined.isUndefined(DataType)`) or is considered a default pointer which is either:
    1. A pointer without a referenced datatype (i.e., addr), or
    2. An auto-named pointer-typedef without a referenced datatype (e.g., pointer __((offset(0x8))).

  - ### CLEAR_ALL_CONFLICT_DATA

    public static final DataUtilities.ClearDataMode CLEAR_ALL_CONFLICT_DATA
    Clear all conflicting data provided new data will fit within memory and not conflict with an instruction.

- ## Method Details

  - ### values

    public static DataUtilities.ClearDataMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataUtilities.ClearDataMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null